## python-libtrace 1.6

=== Makefile ===
# 1410, Sat 15 Mar 14 (PDT)
#
# Main Makefile for the python-libtrace distribution.
#
# python-libtrace: a python module to make it easy to use libtrace
# Copyright (C) 2015 by Nevil Brownlee, U Auckland | WAND
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


SHELL=/bin/sh
RM=rm -rf # Don't complain it files don't exist
T_MAKE=	make
BKFILES=build *~ \#* .*~
VERSION=

.PHONY:	all clean distclean install

build: 
	cd lib/ipp; python$(VERSION) ipp-setup.py build
	cd lib/plt; python$(VERSION) plt-setup.py build
	cd lib/natkit; python$(VERSION) natkit-setup.py build
	cd lib/pldns; python$(VERSION) pldns-setup.py build

install: build
	cd lib/ipp; python$(VERSION) ipp-setup.py install
	cd lib/plt; python$(VERSION) plt-setup.py install
	cd lib/natkit; python$(VERSION) natkit-setup.py install
	cd lib/pldns; python$(VERSION) pldns-setup.py install
	@./verify_install.sh $(VERSION)

clean:
	cd lib/ipp; $(RM) $(BKFILES)
	cd lib/plt; $(RM) $(BKFILES)
	cd lib/natkit; $(RM) $(BKFILES)
	cd lib/pldns; $(RM) $(BKFILES)

distclean: clean
	$(RM)  $(BKFILES)

py2: 
	@make VERSION=2 build 

py3: 
	@make VERSION=3 build

install-py2: 
	@make VERSION=2 install

install-py3: 
	@make VERSION=3 install

=== debian/changelog ===
python-libtrace (1.6-2~bpo8+1) jessie-backports; urgency=medium

  * Non-maintainer upload
  * Rebuild for jessie-backports.

 -- Ana Custura <ana@netstat.org.uk>  Fri, 30 Sep 2016 20:04:37 +0100

python-libtrace (1.6-2) unstable; urgency=medium

  * debian/copyright:
   - Added missing references, corrected year for my packaging work.
  
  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 13 Apr 2016 17:16:22 +0100

python-libtrace (1.6-1) unstable; urgency=medium

  * Initial release. (Closes: #820326)

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 07 Apr 2016 14:57:30 +0100

=== debian/control ===
Source: python-libtrace
Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python3-all-dev,
               libtrace3-dev,
               libldns-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/python-libtrace.git
Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/python-libtrace.git
Homepage: https://www.cs.auckland.ac.nz/~nevil/python-libtrace/

Package: python-libtrace
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python 2 bindings for the libtrace API
 python-libtrace (plt) is a Python module that allows you to work with
 packet trace data using WAND's libtrace library.
 .
 It's intended to provide a clean, simple, Python-like way of working
 with libtrace, rather than a simple translation of the libtrace calls
 from C into Python. For example for the protocol header decodes, the
 field names from the RFCs are used rather than libtrace's names.
 .
 This package contains the Python 2 bindings.

Package: python3-libtrace
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python 3 bindings for the libtrace API
 python-libtrace (plt) is a Python module that allows you to work with
 packet trace data using WAND's libtrace library.
 .
 It's intended to provide a clean, simple, Python-like way of working
 with libtrace, rather than a simple translation of the libtrace calls
 from C into Python. For example for the protocol header decodes, the
 field names from the RFCs are used rather than libtrace's names.
 .
 This package contains the Python 3 bindings.

## python-libtrace 1.6%2Bgit20161027

=== debian/changelog ===
python-libtrace (1.6+git20161027-1) unstable; urgency=medium

  * New upstream release from git snapshot.
   - Includes fixes for accessing ICMP fields and payloads.
  * debian/control:
   - Bump standards version to 3.9.8.

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 04 Nov 2016 12:45:53 +0000

## python-libtrace 1.6+git20161027

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 SHELL=/bin/sh
-RM=rm -rf # Don't complain it files don't exist
+RM=rm -rf # Don't complain if files don't exist
 T_MAKE=	make
 BKFILES=build *~ \#* .*~
 VERSION=

=== debian/changelog ===
python-libtrace (1.6+git20161027-1build3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:59:08 +1200

python-libtrace (1.6+git20161027-1build2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:48:01 +1200

python-libtrace (1.6+git20161027-1build1) zesty; urgency=medium

  * No-change rebuild against ldns2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 10 Apr 2017 10:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all-dev,
                libtrace3-dev,
                libldns-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/python-libtrace.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/python-libtrace.git
 Homepage: https://www.cs.auckland.ac.nz/~nevil/python-libtrace/

## python-libtrace 1.6+git20170918

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Main Makefile for the python-libtrace distribution.
 #
 # python-libtrace: a python module to make it easy to use libtrace
-# Copyright (C) 2015 by Nevil Brownlee, U Auckland | WAND
+# Copyright (C) 2017 by Nevil Brownlee, U Auckland | WAND
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
python-libtrace (1.6+git20170918-1) unstable; urgency=medium

  * New upstream version from git snapshot.
   - Commit ref 8d5e593
  * debian/control:
   - Bump standards version to 4.1.1.
  * debian/copyright:
   - Change Format field to use secure URI.
  * debian/watch:
   - Removed. There are no longer downloads of stable releases available
     at the URL used.

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 10 Jan 2018 08:22:09 +0000

python-libtrace (1.6+git20170608-1) unstable; urgency=medium

  * New upstream release from git snapshot.
   - Includes a fix for handling DNS payloads when using TCP.
  * debian/control:
   - Bump standards version to 4.1.0.

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 30 Aug 2017 21:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all-dev,
                libtrace3-dev,
                libldns-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/python-libtrace.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/python-libtrace.git
 Homepage: https://www.cs.auckland.ac.nz/~nevil/python-libtrace/

=== debian/rules ===
#!/usr/bin/make -f

PYVERS=$(shell pyversions -sv)
PY3VERS=$(shell py3versions -sv)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e && for pyvers in $(PYVERS); do \
		( cd lib/ipp; python$$pyvers ipp-setup.py build ); \
		( cd lib/plt; python$$pyvers plt-setup.py build ); \
		( cd lib/natkit; python$$pyvers natkit-setup.py build ); \
		( cd lib/pldns; python$$pyvers pldns-setup.py build ); \
	done
	set -e && for pyvers in $(PY3VERS); do \
		( cd lib/ipp; python$$pyvers ipp-setup.py build ); \
		( cd lib/plt; python$$pyvers plt-setup.py build ); \
		( cd lib/natkit; python$$pyvers natkit-setup.py build ); \
		( cd lib/pldns; python$$pyvers pldns-setup.py build ); \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYVERS); do \
		( cd lib/ipp ; python$$pyvers ipp-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-libtrace ) ; \
		( cd lib/plt ; python$$pyvers plt-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-libtrace ) ; \
		( cd lib/natkit ; python$$pyvers natkit-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-libtrace ) ; \
		( cd lib/pldns ; python$$pyvers pldns-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-libtrace ) ; \
	done
	set -e && for pyvers in $(PY3VERS); do \
		( cd lib/ipp ; python$$pyvers ipp-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
		( cd lib/plt ; python$$pyvers plt-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
		( cd lib/natkit ; python$$pyvers natkit-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
		( cd lib/pldns ; python$$pyvers pldns-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
	done

## python-libtrace 1.6+git20180219

=== debian/changelog ===
python-libtrace (1.6+git20180219-1build9) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:51:06 +0100

python-libtrace (1.6+git20180219-1build8) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:58:39 +0000

python-libtrace (1.6+git20180219-1build7) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:45:23 +0100

python-libtrace (1.6+git20180219-1build6) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:54:46 +0200

python-libtrace (1.6+git20180219-1build5) groovy; urgency=medium

  * No-change rebuild against libldns3.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 30 Jun 2020 23:03:11 -0400

python-libtrace (1.6+git20180219-1build4) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:49 +0100

python-libtrace (1.6+git20180219-1build3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:00 +0000

python-libtrace (1.6+git20180219-1build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 16:35:11 +0000

python-libtrace (1.6+git20180219-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 09:24:33 +0000

python-libtrace (1.6+git20180219-1) unstable; urgency=medium

  * New upstream version from git snapshot.
   - Commit ref cf6676a
  * There is no longer a Python 2 package built!
  * d/rules:
   - Hardening options are enabled at compile time
  * Documentation is now included in the in binary package, including
    doc-base registration
  * debian/compat:
   - Bumped to compat level 11
  * debian/control:
   - Python 2 binary package and build dependencies removed.
   - Vcs-* URLs updated to point to new salsa repository
   - Standards-Version bumped to 4.1.4
  * debian/patches:
   - NEW: spelling-fixes.patch - Fixes a single spelling error in a help
     string.

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 03 Jun 2018 14:54:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS=$(shell py3versions -sv)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_build:
	set -e && for pyvers in $(PY3VERS); do \
		( cd lib/ipp; python$$pyvers ipp-setup.py build ); \
		( cd lib/plt; python$$pyvers plt-setup.py build ); \
		( cd lib/natkit; python$$pyvers natkit-setup.py build ); \
		( cd lib/pldns; python$$pyvers pldns-setup.py build ); \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PY3VERS); do \
		( cd lib/ipp ; python$$pyvers ipp-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
		( cd lib/plt ; python$$pyvers plt-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
		( cd lib/natkit ; python$$pyvers natkit-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
		( cd lib/pldns ; python$$pyvers pldns-setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-libtrace ) ; \
	done
